/*
Clear Weather 0.7.0
Jonathan Dale

Original coding and design by Scott Bradford Creative Enterprises
Updated, including Touchpad full screen support, by Jonathan Dale

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

// Set up the preferences
nnwUseLocation = true;
nnwZipCode = '';
nnwTempScale = 'F';
nnwAnimateMaps = true;
cookieData = new Mojo.Model.Cookie("com.sbce.nononsenseweather");

function StageAssistant() {
	/* this is the creator function for your stage assistant object */
}

StageAssistant.prototype.setup = function() {
	/* this function is for setup tasks that have to happen when the stage is first created */
	
	/* for a simple application, the stage assistant's only task is to push the scene, making it
	   visible */
	
	// initialize a cookie, or read its values if it exists already
	//this.cookieData = new Mojo.Model.Cookie("com.sbce.nononsenseweather");
	var nnwOldPrefs = cookieData.get();
	if (nnwOldPrefs) {
		nnwUseLocation = nnwOldPrefs.useLocation;
		nnwZipCode = nnwOldPrefs.zipCode;
		nnwTempScale = nnwOldPrefs.tempScale;
		nnwAnimateMaps = nnwOldPrefs.animateMaps;
	} else {
		cookieData.put({
			useLocation: nnwUseLocation,
			zipCode: nnwZipCode,
			tempScale: nnwTempScale,
			animateMaps: nnwAnimateMaps
		})
	}	
	
	this.controller.pushScene("first");
};